function vexinterrupt.initialize(reload)
	vexinterrupt.playerName = select(1, UnitName("player"))
	
	if vexinterrupt_data == nil then
		vexinterrupt_data = {}
	end
	
	vexinterrupt_data = vexalarm.initialize.checkTableData(vexinterrupt.defaults, vexinterrupt_data, false)
	
	
	vexinterrupt.started = true
	
	if not(reload) then
		vexinterrupt.options.panel_main = vexinterrupt.AceConfigDialog:AddToBlizOptions("Vex Interrupt", "Vex Interrupt")
		vexinterrupt.options.panel_settings = vexinterrupt.AceConfigDialog:AddToBlizOptions("Vex Interrupt Settings", "Settings", "Vex Interrupt")
	end
	vexinterrupt.AceConfig:RegisterOptionsTable("Vex Interrupt", vexinterrupt.options.main(), {})
	vexinterrupt.AceConfig:RegisterOptionsTable("Vex Interrupt Settings", vexinterrupt.options.settings(), {})
	
	
	vexinterrupt.scanTool.frame = CreateFrame( "GameTooltip", "ScanTooltip", nil, "GameTooltipTemplate" )
	vexinterrupt.scanTool.frame:SetOwner( WorldFrame, "ANCHOR_NONE" )
	vexinterrupt.scanTool.text = _G["ScanTooltipTextLeft2"]
end

function vexinterrupt.checkTableData(defaults, saved, force)
	local temp = {}
	if force or type(saved) ~= "table" then temp=defaults
	else
		for key,val in pairs(defaults) do
			if type(val) == "table" then
				temp[key] = {}
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = vexinterrupt.checkTableData(defaults[key], saved[key], force)
				end
			else
				if saved[key] == nil then
					temp[key] = val
				else
					temp[key] = saved[key]
				end
			end
		end
	end
	return temp
end

vexinterrupt.defaults = {
	["active"] = true,
	["inGrpOnly"] = false,
	["msg"] = {
		["SPELL_INTERRUPT"] = {
			true,
			"Interrupted: [spelllink]",
			},
		["SPELL_DISPEL"] = {
			true,
			"Dispelled: [spelllink]",
			},
		["SPELL_STOLEN"] = {
			true,
			"Stolen: [spelllink]",
			},
		},
	}